require("XGUI_Lib")

local RepString1
local RepString2

local function Pass1Func(proc,program)
	local description=XGUI_Lib.XS.Val(program.Description)
	local total
	description,total=string.gsub(description,"%&nbsp;",RepString1)
	if total >= 1 then
		XGUI.SetStatus(2,"Processing "..description)
		program.Description=XGUI_Lib.XS.Replace(program.Description,description)
	end
	return program
	end

local function Pass2Func(proc,program)
	local subtitle=XGUI_Lib.XS.Val(program.Sub_Title)
	local total
	subtitle,total=string.gsub(subtitle,"%&Amp;",RepString2)
	if total >= 1 then
		XGUI.SetStatus(2,"Processing "..subtitle)
		program.Sub_Title=XGUI_Lib.XS.Replace(program.Sub_Title,subtitle)
	end
	return program
	end

local function Pass1Start(proc)
	RepString1=XGUI.GetSetting(proc,"RepString1","-")
	return XGUI.OK
	end

local function Pass2Start(proc)
	RepString2=XGUI.GetSetting(proc,"RepString2","and")
	return XGUI.OK
	end

local function Init(proc)
	XGUI.AddSetting(proc,"RepString1",XGUI.SettingType.String,"-","Character(s) to replace \"&&nbsp;\" with")
	XGUI.AddSetting(proc,"RepString2",XGUI.SettingType.String,"and","Character(s) to replace \"&&Amp;\" with")
	return XGUI.OK
	end

PostProcs.XML_Fixer={
	Name = "XML Fixer",
	Version = "1.00.00",
	Author = "Edoardo Rossi",
	InfoURL = "",
	Passes={
		Pass1={
			Start=Pass1Start,
			Type=XGUI.PassTypes.Program,
			Func=Pass1Func,
			},
		Pass2={
			Start=Pass2Start,
			Type=XGUI.PassTypes.Program,
			Func=Pass2Func,
			},
		},
	Init=Init,		
	}
